/* Recreate object on Desktop */
   Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs';
   Call SysLoadFuncs;

   /* Check current directory */
   curdir = directory();

   /* Check system drive */
   If \Rxfuncquery('SysBootDrive') Then
      system_drive = SysBootDrive()
   else
   do
      system_drive=FileSpec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))
      if system_drive = '' then
      do
         errmsg='Can not detect system drive. Please update REXXUTIL.DLL.'
         signal error
      end
   end

   PARSE ARG ARGUMENTS
   PARSE VALUE ARGUMENTS WITH FILE_NAME THE_REST

   PARSE VALUE FILE_NAME WITH '"' FILE_NAME1 '"' XXX

   IF FILE_NAME1<>'' THEN
      FILE_NAME=FILE_NAME1

   IF FILE_NAME='' THEN
   DO
      SAY 'Usage:'
      SAY 'RESTORE.CMD file_name [OBJECT_NAME [OBJECT_ID]]'
      SAY 'If OBJECT_NAME omitted, it will be restored from the save file.'
      SAY 'If there is no TITLE in the save file, "_PianoPad" will used by default.'
      SAY 'If OBJECT_ID omitted, it will be restored from the save file.'
      SAY 'If there is no OBJECTID in the save file, object will have NO OBJECT ID!'
      SAY 'Example:'
      SAY 'RESTORE.CMD c:\pianopad.sav PianoPad "<PIANOPAD>"'
      EXIT
   END

   PARSE VALUE THE_REST WITH OBJECT_NAME THE_REST
   PARSE VALUE OBJECT_NAME WITH '"' OBJECT_NAME1 '"' XXX

   IF OBJECT_NAME1<>'' THEN
      OBJECT_NAME=OBJECT_NAME1

   IF OBJECT_NAME='' THEN
      SETUP_TITLE=''
   ELSE
      SETUP_TITLE='TITLE='||OBJECT_NAME||';'

   PARSE VALUE THE_REST WITH OBJECT_ID THE_REST
   PARSE VALUE OBJECT_ID WITH '"' OBJECT_ID1 '"' XXX

   IF OBJECT_ID1<>'' THEN
      OBJECT_ID=OBJECT_ID1

   IF OBJECT_ID='' THEN
      SETUP_ID=''
   ELSE
      SETUP_ID='OBJECTID='||OBJECT_ID||';'

   SAY 'FILE NAME: '||FILE_NAME
   SAY 'TITLE SETUP: '||SETUP_TITLE
   SAY 'ID SETUP: '||SETUP_ID

   IF SUBSTR(FILE_NAME, 2, 1)<>':' THEN
      IF LEFT(FILE_NAME, 1)='\' | LEFT(FILE_NAME, 1)='/' THEN
         FILE_NAME=LEFT(curdir, 2)||FILE_NAME
      ELSE
         FILE_NAME=curdir||'\'||FILE_NAME
   SAY 'FULL FILE NAME: '||FILE_NAME

   SETUPSTRING='EPRESTORE='||FILE_NAME||';'||SETUP_TITLE||SETUP_ID

   rc=SysCreateObject('EPAD', '_PianoPad','<WP_DESKTOP>', SETUPSTRING, 'replace');

   IF rc <> 1 THEN
      Say  "PIANOPAD: could not create object on the Desktop, rc="rc".";
   ELSE
      Say  "PIANOPAD: object created successfuly!";
